Bug 908255 - error message didn't translate to user language
error message didn't translate to user language
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs (Show other bugs)
6.4
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On: 908321 908322 958183
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-06 04:22 EST by Mohua Li
Modified: 2013-11-20 23:42 EST (History)
3 users (show)

See Also:
Fixed In Version: libguestfs-1.20.9-5.el6
Doc Type: Bug Fix
Doc Text:
Cause: Trying to download a file which is in fact a directory, using the guestfs_download API / guestfish 'download' command. Consequence: Downloading a directory using the guestfs_download API or guestfish 'download' command is an error. However libguestfs would get confused and the lose protocol synchronization instead. Fix: Test if the source of the download is a directory and return an error if so. Result: Trying to download a directory will print an error instead of getting confused.
Story Points: ---
Clone Of:
: 908321 908322 (view as bug list)
Environment:
Last Closed: 2013-11-20 23:42:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohua Li 2013-02-06 04:22:33 EST
Description of problem:

the error message didn't translate to user language, when try to view a folder by virt-cat, like below, 


[root@hp-z220-01 images]# virt-cat  RHEL-Server-6.0-32-hvm.raw /etc                                                    
libguestfs: error: file receive cancelled by daemon
libguestfs: error: /dev/stdout: error in chunked encoding



[root@hp-z220-01 images]# virt-tar -x rhel6.32bit /boot/gurb grub.tar
                                                  ^^^^^^^^^^^ 
grub.tar: error in chunked encoding at /usr/bin/virt-tar line 272.




Version-Release number of selected component (if applicable):
libguestfs-tools-c-1.16.34-2.el6.x86_64
Comment 7 Richard W.M. Jones 2013-06-28 07:10:47 EDT
Fixed by the rebase (bug 958183).
Comment 12 bfan 2013-09-17 02:16:48 EDT
Verified with libguestfs-1.20.11-1.el6.x86_64

# virt-cat RHEL-Server-6.0-32-hvm.raw /etc
libguestfs: error: download: /etc: is a directory

# virt-tar -x RHEL-Server-6.0-32-hvm.raw /boot/gurb grub.tar
tar_out: stat: /boot/gurb: No such file or directory at /usr/bin/virt-tar line 272.

Error message are already translated, so change the status to verified
Comment 14 errata-xmlrpc 2013-11-20 23:42:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1536.html

Note You need to log in before you can comment on or make changes to this bug.